Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.fdk.impl
Class FdkConfigurationImpl

    java.lang.Object
      oracle.ifs.fdk.FdkConfiguration
          oracle.ifs.fdk.impl.FdkConfigurationImpl

Direct Known Subclasses:
  CoreFdkConfiguration

    public abstract class FdkConfigurationImpl

extends FdkConfiguration

Holder class for configuration properties that need to be exposed only to the implementation classes, not to the clients of the FDK.

Constructor Summary
`FdkConfigurationImpl()` Constructor for node mode.
`FdkConfigurationImpl(java.lang.String serviceName, SystemUserCredential sysCred)` Constructor for standalone mode.

Method Summary
`protected abstract AttributeHandlerRegistry` | `constructAttributeHandlerRegistry()` Construct and save the AttributeHandlerRegistry in effect for this instance.
`protected abstract ItemTypeRegistry` | `constructItemTypeRegistry()` Construct and save the ItemTypeRegistry in effect for this instance.
`abstract Credential` | `createCredentialByGuid(java.lang.String userGuid, java.lang.String realmGuid)` Create a credential for a given user and realm GUID pair.
`abstract Credential` | `createCredentialByPrincipal(java.security.Principal principal)` Create a credential for a given user principal.
`abstract Credential` | `createCredentialByUsername(java.lang.String username)` Create a credential for a given username.
`protected LibrarySession` | `createLibrarySession(Credential credential, ConnectOptions options)` Create a session given the credentials and connect options.
`void` | `dispose()` Method that needs to be called by the subclass dispose() method.
`AttributeHandlerRegistry` | `getAttributeHandlerRegistry()` Gets the AttributeHandlerRegistry in effect for this instance.
`int` | `getGuestSessionPoolMaximumSize()` Returns the maximum size for the guest session pool.
`int` | `getGuestSessionPoolTargetSize()` Returns the target size for the guest session pool.
`static FdkConfigurationImpl` | `getImplInstance()` Returns the singleton instance of this class.
`ItemTypeRegistry` | `getItemTypeRegistry()` Gets the ItemTypeRegistry in effect for this instance.
`int` | `getMaximumConcurrentRequestsPerUser()` Returns the maximum concurrent requests per user.
`int` | `getMaximumSessionsPerUser()` Returns the maximum number of sessions per user.
`int` | `getSystemSessionPoolMaximumSize()` Returns the maximum size for the system session pool.
`int` | `getSystemSessionPoolTargetSize()` Returns the target size for the system session pool.
`int` | `getTransactionTimeout()` Returns the transaction timeout for sessions that span multiple requests.
`int` | `getTransactionTimeoutCheckInterval()` Returns the amount of time, in seconds, to wait between consecutive checks for transactions that need to be timed out.
`void` | `initialize(LibrarySession systemSession)` Method that needs to be called by the subclass initizlize() methods.
`protected void` | `initializeStandalone(java.lang.String serviceName, SystemUserCredential sysCred)` Initialize after constructing standalone instance.
`boolean` | `isAutoUserProvisioningEnabled()` Returns true if the auto-provisioning feature is enabled and also IDM is enabled.
`boolean` | `isWebServiceSecureCleartextAuthenticationRequired()` Returns true if HTTPS/SSL is required for cleartext password authentication over web services.
`java.lang.String` | `lookupItemType(LibraryObject reposObject)` Lookup the FDK type for the specified LibraryObject.

Methods inherited from class oracle.ifs.fdk.FdkConfiguration
`constructManagersFactory, getBpelWorklistUrl, getDavNullResourceLockExpirationPeriod, getDavUserAgents, getFileExtensionsOmittedFromVirusScan, getInstance, getLastAntiVirusDefinitionUpdate, getProductVersion, initializeStandaloneMode, isDavCopyMoveThroughFolderLinkAllowed, isIdmEnabled, isInitialized, isVirusScannerEnabled, isWorkflowEnabled, login`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FdkConfigurationImpl

    public FdkConfigurationImpl()

  Constructor for node mode.

### FdkConfigurationImpl

    public FdkConfigurationImpl(java.lang.String serviceName,
                                SystemUserCredential sysCred)

  Constructor for standalone mode.

Method Detail

### getImplInstance

    public static final FdkConfigurationImpl getImplInstance()

  Description copied from class: `FdkConfigurationImpl`
  Returns the singleton instance of this class.

### initializeStandalone

    protected void initializeStandalone(java.lang.String serviceName,
                                        SystemUserCredential sysCred)

  Description copied from class: `FdkConfiguration`
  Initialize after constructing standalone instance.

  Overrides:
    `initializeStandalone` in class `FdkConfiguration`
  Parameters:
    `serviceName` - the service name
    `sysCred` - the system user credential

### initialize

    public void initialize(LibrarySession systemSession)
                    throws IfsException

  Description copied from class: `FdkConfiguration`
  Method that needs to be called by the subclass initizlize() methods.

  Overrides:
    `initialize` in class `FdkConfiguration`
  Throws:
    `IfsException`

### constructItemTypeRegistry

    protected abstract ItemTypeRegistry constructItemTypeRegistry()

  Description copied from class: `FdkConfigurationImpl`
  Construct and save the ItemTypeRegistry in effect for this instance.

  Returns:
    the ItemTypeRegistry

### constructAttributeHandlerRegistry

    protected abstract AttributeHandlerRegistry constructAttributeHandlerRegistry()

  Description copied from class: `FdkConfigurationImpl`
  Construct and save the AttributeHandlerRegistry in effect for this instance.

  Returns:
    the AttributeHandlerRegistry

### dispose

    public void dispose()

  Description copied from class: `FdkConfiguration`
  Method that needs to be called by the subclass dispose() method.

  Overrides:
    `dispose` in class `FdkConfiguration`

### getItemTypeRegistry

    public ItemTypeRegistry getItemTypeRegistry()

  Description copied from class: `FdkConfigurationImpl`
  Gets the ItemTypeRegistry in effect for this instance.

  Returns:
    the ItemTypeRegistry

### getAttributeHandlerRegistry

    public AttributeHandlerRegistry getAttributeHandlerRegistry()

  Description copied from class: `FdkConfigurationImpl`
  Gets the AttributeHandlerRegistry in effect for this instance.

  Returns:
    the AttributeHandlerRegistry

### lookupItemType

    public java.lang.String lookupItemType(LibraryObject reposObject)

  Description copied from class: `FdkConfigurationImpl`
  Lookup the FDK type for the specified LibraryObject.

  Specified by:
    `lookupItemType` in class `FdkConfiguration`
  Parameters:
    `reposObject` - the LibraryObject
  Returns:
    the ItemTypeRegistry

### getMaximumSessionsPerUser

    public int getMaximumSessionsPerUser()

  Description copied from class: `FdkConfigurationImpl`
  Returns the maximum number of sessions per user.

### getMaximumConcurrentRequestsPerUser

    public int getMaximumConcurrentRequestsPerUser()

  Description copied from class: `FdkConfigurationImpl`
  Returns the maximum concurrent requests per user.

### getTransactionTimeout

    public int getTransactionTimeout()

  Description copied from class: `FdkConfigurationImpl`
  Returns the transaction timeout for sessions that span multiple requests. The value is expressed in seconds.

### getTransactionTimeoutCheckInterval

    public int getTransactionTimeoutCheckInterval()

  Description copied from class: `FdkConfigurationImpl`
  Returns the amount of time, in seconds, to wait between consecutive checks for transactions that need to be timed out.

### getSystemSessionPoolTargetSize

    public int getSystemSessionPoolTargetSize()

  Description copied from class: `FdkConfigurationImpl`
  Returns the target size for the system session pool.

### getSystemSessionPoolMaximumSize

    public int getSystemSessionPoolMaximumSize()

  Description copied from class: `FdkConfigurationImpl`
  Returns the maximum size for the system session pool.

### getGuestSessionPoolTargetSize

    public int getGuestSessionPoolTargetSize()

  Description copied from class: `FdkConfigurationImpl`
  Returns the target size for the guest session pool.

### getGuestSessionPoolMaximumSize

    public int getGuestSessionPoolMaximumSize()

  Description copied from class: `FdkConfigurationImpl`
  Returns the maximum size for the guest session pool.

### isAutoUserProvisioningEnabled

    public boolean isAutoUserProvisioningEnabled()

  Description copied from class: `FdkConfigurationImpl`
  Returns true if the auto-provisioning feature is enabled and also IDM is enabled.

### isWebServiceSecureCleartextAuthenticationRequired

    public boolean isWebServiceSecureCleartextAuthenticationRequired()

  Description copied from class: `FdkConfigurationImpl`
  Returns true if HTTPS/SSL is required for cleartext password authentication over web services.

### createLibrarySession

    protected LibrarySession createLibrarySession(Credential credential,
                                                  ConnectOptions options)
                                           throws IfsException

  Description copied from class: `FdkConfigurationImpl`
  Create a session given the credentials and connect options.

  Throws:
    `IfsException`

### createCredentialByUsername

    public abstract Credential createCredentialByUsername(java.lang.String username)
                                                   throws IfsException

  Description copied from class: `FdkConfigurationImpl`
  Create a credential for a given username.

  Throws:
    `IfsException`

### createCredentialByGuid

    public abstract Credential createCredentialByGuid(java.lang.String userGuid,
                                                      java.lang.String realmGuid)
                                               throws IfsException

  Description copied from class: `FdkConfigurationImpl`
  Create a credential for a given user and realm GUID pair.

  Throws:
    `IfsException`

### createCredentialByPrincipal

    public abstract Credential createCredentialByPrincipal(java.security.Principal principal)
                                                    throws IfsException

  Description copied from class: `FdkConfigurationImpl`
  Create a credential for a given user principal.

  Parameters:
    `principal` - the user principal
  Returns:
    the Credential for the specified principal
  Throws:
    `IfsException` - if the operation fail

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD